Name:           perl-Email-Template
Version:        0.02
Release:        9%{?dist}
Summary:        Send "multipart/alternative" (text & html) e-mail from a Template
# lib/Email/Template.pm
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Email-Template
Source0:        https://cpan.metacpan.org/authors/id/S/SF/SFRYER/Email-Template-%{version}.tar.gz
# This module's tests currently try to send e-mails, which fails in mock/koji.
# This patch fixes this by sending the e-mail to a sub which verifies that the
# e-mail looks right.
# https://github.com/wchristian/Email-Template/commit/cefe961606f4bea2bd2373e0a5856c53dbcb33e2
Patch0:         Email-Template-send-disabling.patch

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(HTML::FormatText::WithLinks::AndTables)
BuildRequires:  perl(MIME::Lite) >= 3.020
BuildRequires:  perl(Template)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(MIME::Lite) >= 3.020

%{?perl_default_filter}
%global __requires_exclude %__requires_exclude|^perl\\(MIME::Lite\\)$

%description
This is a fairly simple interface to generate "multipart/alternative"
e-mails with both "text/html" and "text/plain" components using a single
HTML based Template Toolkit template.

%prep
%setup -q -n Email-Template-%{version}
%patch0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Email*
%{_mandir}/man3/Email*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.02-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.02-8
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.02-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.02-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.02-5
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.02-3
- Perl 5.24 rebuild

* Mon May 09 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.02-2
- Take into account review comments (bug #1331361)

* Wed Apr 27 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.02-1
- Specfile autogenerated by cpanspec 1.78, heavily modifed.
